Soporte » Plugins y Hacks » BuddyPress » El gancho bp_core_avatar_default está obsoleto desde la versión 8.0.0

  • VictorMLG

    (@victormlg)


    Obsoleto

    ¡El gancho bp_core_avatar_default está obsoleto desde la versión 8.0.0! Usa bp_core_avatar_gravatar_default||bp_core_default_avatar en su lugar. Este filtro se ha usado para 2 propósitos diferentes. Si tu objetivo era filtrar el *Gravatar* por defecto, por favor, usa en su lugar bp_core_avatar_gravatar_default. De lo contrario, por favor, usa en su lugar bp_core_default_avatar. 1
    wp-includes/functions.php:5754
    _deprecated_hook()
    wp-includes/plugin.php:664
    apply_filters_deprecated()
    wp-content/plugins/buddypress/bp-core/bp-core-avatars.php:1944
    bp_core_avatar_default()
    wp-content/plugins/buddypress/bp-core/bp-core-avatars.php:71
    bp_core_set_avatar_globals()
    wp-includes/class-wp-hook.php:307
    do_action(‘bp_setup_globals’)
    wp-content/plugins/buddypress/bp-core/bp-core-dependency.php:140
    bp_setup_globals()
    wp-includes/class-wp-hook.php:307
    do_action(‘bp_init’)
    wp-content/plugins/buddypress/bp-core/bp-core-dependency.php:267
    bp_init()
    wp-includes/class-wp-hook.php:307
    do_action(‘init’)
    wp-settings.php:598

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • Moderador Jose Luis

    (@jose64)

    Hola.

    Bienvenido al foro de soporte de WordPress.org. Te dejo el enlace a las Instrucciones de uso de los foros, ahí tienes explicada, entre otras cosas, la forma correcta de hacer una consulta. Pegar un mensaje de error sin ninguna explicación, ni siquiera la url de la página con la que tienes problemas, no es forma de hacer una consulta. Tienes que indicar tema, plugins (con sus versiones) y URL para poder revisarlo.

    Al margen de lo anterior, te remito a un debate del foro global

    Iniciador del debate VictorMLG

    (@victormlg)

    Ok, lo siento 🙂

    Iniciador del debate VictorMLG

    (@victormlg)

    Hola comunidad.
    Tras instalar el plugin Query Monitor de Jack Blackbourn, observo en los «Errores php» este error, que parece relacionnado con BuddyPress o con WordPress.
    https://pastebin.com/jjJhF1YX

    Al hacer referencia a WP-includes y wp-content/plugins/buddypress/bp-core/
    imaginé que no tenía nada que ver con mi instalación y si con un fallo de BuddyPress.

    Si os puede ser de ayuda, me alegro.Si no es importante, al menos, creo, que he aprendido a publicar en el foro y ya conozco pastebin.

    Mis agradecimietos sinceros por vuestra dedicación y ayuda !!!

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • Debes estar registrado para responder a este debate.